
TYPO3.Kickstart - Feature # 43424

Status: Under Review Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-11-29 Assigned To: Karsten Dambekalns
Updated: 2014-11-20 Due date:
Subject: Support subpackage when kickstarting model & repository
Description

The kickstart for controllers allows the use of subpackages, this is missing for model and repository.

History
#1 - 2012-11-29 10:06 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16828

#2 - 2012-12-04 08:25 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16828

#3 - 2012-12-04 08:31 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16828

#4 - 2012-12-04 11:35 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16828

#5 - 2012-12-10 13:22 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.0

#6 - 2013-08-14 15:34 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#7 - 2014-11-20 22:35 - Oliver Eglseder

Hey Karsten,

i would appreciate if you could revive this ticket.

Aside of the current topic, there are some more problems which occured.
I kickstarted an actioncontroller:
./flow kickstart:actioncontroller MyVendor.MyPackage/SubPackage MyTest --generate-related --generate-actions --generate-templates

As result, the actioncontroller got created as expected, but the Repository and Model file locations were outside of the subpackage directory but the
annotations included the supackage.

On top of that, the action urls which are built contain the argument supackage as strtolower(subPackageKey). When following the link (
http://flow-test.dev/myvendor.mypackage/mytest/new?%40subpackage=subpackage) i get the exception
 Template could not be loaded.
I tried "resource://MyVendor.MyPackage/Private/Templates/subpackage/MyTest/New.html"
because the subpacke-key is not converted to the matching non-lowercase subpackage but taken for building the template path (which does not exist,
since "subpackage" is written in CamelCase)

If you need more Feedback, feel free to contact me. (I rarely get notifications from forge)
